﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MVCCornucopia.Data.Enums;
using System.ComponentModel.DataAnnotations;
using MVCCornucopia.Common;
using System.ComponentModel;
using System.Data.Objects.DataClasses;

namespace MVCCornucopia.ViewModels
{
    public class EmployeeVM 
    {

        public int EmployeeId { get; set; }

        [DisplayName("Occupation")]
        public EmployeeOccupation EmployeeOccupationId { get; set; }

        [Required, StringLength(100)]
        [DisplayName("Domain User Name")]
        public string DomainUserName { get; set; }
        

        [Required, StringLength(100)]
        [DisplayName("First Name")]
        public string FirstName { get; set; }

        [Required, StringLength(100)]
        [DisplayName("Last Name")]
        public string LastName { get; set; }

        [DisplayName("Gender")]
        public Gender? GenderId { get; set; }

        [DataType(DataType.DateTime)]
        [DisplayName("Date of birth")]
        public DateTime? DateOfBirth { get; set; }

        [DisplayName("Theme background color")]
        public string ThemeBackgroundColor { get; set; }

        [EmailAddress, DataType(DataType.EmailAddress)]
        [DisplayName("Email address")]
        public string EmailAddress { get; set; }

        [PhoneNumber]
        [DataType(DataType.PhoneNumber)]
        [DisplayName("Phone number")]
        public string PhoneNumber { get; set; }

        [Url]
        [DataType(DataType.Url)]
        [DisplayName("Facebook url")]
        public string FacebookUrl { get; set; }

        [DisplayName("Show?")]
        public bool DisplayFacebookUrlConsent { get; set; }





    }

   
}